Class lscale
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lscale

public class lscale
extends ej
Scale list.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lscale(float[] args) Create a lscale object.

Method Summary
void | bang() Re-Trigger the calculation.
void | calculeClip() used internaly
void | calculeExp() used internaly
void | calculeExpClip() used internaly
void | calculeNormal() used internaly
void | inlet(float f) Depending on the inlet number, a float value can do many things...
void | inlet(int i) Depending on the inlet number, a int value can do many things...
void | list(float[] args) Define the list to be scaled.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lscale
public lscale(float[] args)

  Create a lscale object.
  Parameters:
    args - [xMin] [xMax] [yMin] [yMax] [exponantiel factor]

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Depending on the inlet number, a int value can do many things...
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the leftmost inlet: set the value to be scaled, and trigger the calculation if the value arrives in the second inlet: set the xMin value if the value arrives in the third inlet: set the xMax value if the value arrives in the fourth inlet: set the yMin value if the value arrives in the fifth inlet: set the yMax value if the value arrives in the sixth inlet: set the exponential factor

inlet
public void inlet(float f)

  Depending on the inlet number, a float value can do many things...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the leftmost inlet: set the value to be scaled, and trigger the calculation if the value arrives in the second inlet: set the xMin value if the value arrives in the third inlet: set the xMax value if the value arrives in the fourth inlet: set the yMin value if the value arrives in the fifth inlet: set the yMax value if the value arrives in the sixth inlet: set the exponential factor

list
public void list(float[] args)

  Define the list to be scaled.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: set the list to be scaled and trigger the calculation if the list arrives in the second inlet: set the arguments for the scaling (xMin, xMax, yMin, yMax, Exponantial factor).

calculeNormal
public void calculeNormal()

  used internaly

calculeExp
public void calculeExp()

  used internaly

calculeClip
public void calculeClip()

  used internaly

calculeExpClip
public void calculeExpClip()

  used internaly

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com